Bug 1252388 - Leftover /opt/rh/v8314/root/usr/lib/python2.7/site-packages after uninstall
Leftover /opt/rh/v8314/root/usr/lib/python2.7/site-packages after uninstall
Status: NEW
Product: Red Hat Software Collections
Classification: Red Hat
Component: v8314 (Show other bugs)
v8314
Unspecified Unspecified
medium Severity medium
: ---
: 3.1
Assigned To: Tomas Hrcka
Miroslav Hradílek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 06:03 EDT by Miroslav Hradílek
Modified: 2017-08-08 05:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Hradílek 2015-08-11 06:03:52 EDT
Description of problem:
After uninstalling v8314 packages there are two leftover directories on the filesystem.

# for file in $(find /opt/rh/v8314/root/usr/lib/python2.7/); do rpm -qf $file; done | sort | uniq
file /opt/rh/v8314/root/usr/lib/python2.7 is not owned by any package
file /opt/rh/v8314/root/usr/lib/python2.7/site-packages is not owned by any package
v8314-gyp-0.1-0.20.0bb6747git.el7.noarch
v8314-v8-devel-3.14.5.10-9.el7.x86_64

# yum remove 'v8314*'
. . .
Complete!

# find /opt/rh
/opt/rh
/opt/rh/v8314
/opt/rh/v8314/root
/opt/rh/v8314/root/usr
/opt/rh/v8314/root/usr/lib
/opt/rh/v8314/root/usr/lib/python2.7
/opt/rh/v8314/root/usr/lib/python2.7/site-packages


Additional info:

There was the same issue with nodejs packages and Tomas found a way to clean this by nodejs metapackage. I expect the same strategy can be implemented here as well.
Comment 4 Joe Orton 2016-10-12 09:54:23 EDT
Marked for end-of-life in error.

Note You need to log in before you can comment on or make changes to this bug.